
  <div class="row">
    <div class="col-lg-8">
        <h1 class="page-header">Funciones</h1>
    </div>
    <div class="col-lg-4">
      <button type="button" class="btn btn-block btn-social btn-success" data-toggle="modal" data-target="#fu"><i class="fa fa-plus fa-lg"></i>
        Nueva Funcion
      </button>
    </div>
  </div>
  <div class="row">
    <div class="col-lg-12">
      <div class="panel panel-default">
        <div class="panel-body">
          <table width="100%" class="table table-striped table-bordered table-hover" id="f">
            <thead>
              <tr>
                <th>Fun fecha</th>
                <th>Sala</th>
                <th>Estado</th>
                <th>Pelicula</th>
                <th>Horario</th>
                <th>Cine</th>
                <th>Opciones</th>
              </tr>
            </thead>
            <tbody>
              <% @funcions.each do |funcion| %>
              <% @t = funcion.ticket.count %>
                <tr>
                  <td><%= funcion.fun_fecha %></td>
                  <td><%= funcion.fun_sala %></td>
                  <td><%= funcion.est_fun.ef_desc %></td>
                  <td><%= funcion.pelicula.peli_nom %></td>
                  <td><%= funcion.horario.hor_desc %></td>
                  <td><%= funcion.sala.cine.cine_nom %></td>
                  <td>
                    <%= link_to '<i class="fa fa-pencil fa-lg"></i>'.html_safe, edit_funcion_path(funcion), class: "btn btn-warning btn-circle" %>
                    <% if ( @t > 0 ) %>
                    <button class="btn btn-danger btn-circle" disabled="disabled" data-toggle="tooltip" data-placement="right" title="Cant. Tickets = <%= @t %>"><i class="fa fa-trash-o fa-lg"></i></button>
                    <% else %>
                    <%= link_to '<i class="fa fa-trash-o fa-lg"></i>'.html_safe, funcion, method: :delete, class: "btn btn-danger btn-circle", data: { confirm: 'Are you sure?' } %>
                    <% end %>
                  </td>
                </tr>
              <% end %>
            </tbody>
          </table>
        </div>
      </div>
    </div>
  </div>
  <div class="modal fade" id="fu" tabindex="-1" role="dialog" aria-labelledby="fuLabel">
    <div class="modal-dialog" role="document">
      <div class="modal-content">
        <div class="modal-header">
          <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
          <h4 class="modal-title" id="fuLabel">Nueva Funcion</h4>
        </div>
        <div class="modal-body">
          <%= render 'form', funcion: @funcion %>
        </div>
      </div>
    </div>
  </div>
</div>

<script>
  $(document).ready(function(){
    $('#f').DataTable();
  });
  $('#fu').on('shown.bs.modal', function () {
    $('#myInput').focus();
  });
</script>
